package com.zcloud.zcGbsServicer.command;

import com.zcloud.zcGbsServicer.domain.gateway.ControlRoomGateway;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:21:50
*/
@Component
@AllArgsConstructor
public class ControlRoomRemoveExe {
    private final ControlRoomGateway controlRoomGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = controlRoomGateway.deletedControlRoomById(id);
        if(!res){
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = controlRoomGateway.deletedControlRoomByIds(ids);
        if(!res){
            throw new BizException("删除失败");
        }
        return true;
    }
}

